import { Component, Host, h, Prop } from '@stencil/core';
import { markdown } from '../../utils/utils';
export class Content {
    constructor() {
        this.content = [];
    }
    render() {
        return (h(Host, null, this.content.map((c) => h("div", { class: "content" },
            c.kind == 'heading' && h("h2", null, c.text),
            c.kind == 'text' && h("div", { class: "markdown" }, markdown(c.text)),
            c.kind == 'media' && h("bb-media", { items: c.items, display: c.display })))));
    }
    static get is() { return "bb-content"; }
    static get originalStyleUrls() { return {
        "$": ["content.css"]
    }; }
    static get styleUrls() { return {
        "$": ["content.css"]
    }; }
    static get properties() { return {
        "content": {
            "type": "unknown",
            "mutable": false,
            "complexType": {
                "original": "any[]",
                "resolved": "any[]",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "defaultValue": "[]"
        }
    }; }
}
